{ pkgs, ... }:

with import ./network.nix;

let domain = "reddit.giugl.io";
in {
  services = {
    libreddit.enable = true;

    nginx.virtualHosts.${domain} = {
      forceSSL = true;
      enableACME = true;
      locations."/" = {
        proxyPass = "http://localhost:8080";
        extraConfig = ''
          allow 10.0.0.0/24;
          allow 10.3.0.0/24;
          deny all;
        '';
      };
    };
  };

  networking.extraHosts = ''
    ${architect-lan} ${domain}
    ${architect-wg} ${domain}
  '';
}
