{ pkgs, ... }:

with import ./network.nix;

let domain = "tweet.giugl.io";
in {
  services = {
    nitter = {
      enable = true;
      port = 9093;
    };

    nginx.virtualHosts.${domain} = {
      forceSSL = true;
      enableACME = true;
      locations."/" = {
        proxyPass = "http://localhost:9093";
      };
    };
  };

  networking.extraHosts = ''
    ${architect-lan} ${domain}
    ${architect-wg} ${domain}
  '';
}
